KDE 4.7 PyKDE API Reference

- KDE's Python API

# TransactionRollbackJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that aborts a session-global transaction.

If a job inside a TransactionBeginJob has been failed, the TransactionRollbackJob can be used to rollback all changes done by these jobs.

Note:
  This will only have an effect when used as a subjob or with a Session.

Author:
  Volker Krause <vkrause@kde.org>

## Methods
| __init__ (self, QObject parent)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

Creates a new transaction rollback job. The parent must be the same parent as for the TransactionBeginJob.

Parameters:

  | parent | The parent job or Session, must not be 0.

doStart | ( |  | self ) |